gnome-clocks (50~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control: build-depends on ffmpeg and libicu-dev, updated
    requirements on meson and libadwaita

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Feb 2026 08:57:43 +0100

gnome-clocks (49.0-2) unstable; urgency=medium

  * Remove !nocheck annotation from Build-Depends: desktop-file-utils
    (Closes: #1116745)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 30 Sep 2025 11:00:59 -0400

gnome-clocks (49.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 14 Sep 2025 23:23:23 -0400

gnome-clocks (48.0-3) unstable; urgency=medium

  * Team upload
  * d/control: Remove unnecessary B-D on libgirepository1.0-dev
  * d/control: Remove Rules-Requires-Root, no longer needed since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Sep 2025 22:45:03 +0100

gnome-clocks (48.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:39:27 +0200

gnome-clocks (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Mar 2025 14:16:30 -0400

gnome-clocks (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK & libadwaita
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 07:54:29 -0500

gnome-clocks (47.0-1) unstable; urgency=medium

  [ Amin Bandali ]
  * debian/control: Update Homepage to the new page on apps.gnome.org

  [ Nathan Pratta Teodosio ]
  * New upstream release (LP: #2083306).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 01 Oct 2024 09:31:37 +0200

gnome-clocks (46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add mnemonic to Start button
    - Disable alarm after ringing when not set to repeat
    - Fix countdown timer progress during suspend
    - Fix resume bug on clear button pressed
    - Fix sorting of locations
    - Improve app metainfo for AppStream 1.0
    - Show a toast when a new alarm is set
  * Stop using debian/control.in
  * debian/control: Bump minimum required libglib2.0-dev to 2.72

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 10:51:08 -0400

gnome-clocks (45.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.4~beta
  * Drop obsolete gsound dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 07:15:51 -0400

gnome-clocks (44.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:55:46 -0400

gnome-clocks (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 12:13:54 -0400

gnome-clocks (44~beta-2) experimental; urgency=medium

  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:00:32 -0500

gnome-clocks (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum vala to 0.56.4 & gnome-desktop to 44~beta

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 08:06:35 -0500

gnome-clocks (43.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Set Rules-Requires-Root: no
  * debian/control.in: Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Sep 2022 10:56:49 -0400

gnome-clocks (43~beta-2) unstable; urgency=medium

  * Build against libsoup3 libraries

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Sep 2022 16:25:39 -0400

gnome-clocks (43~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.2~alpha
  * Drop all patches: no longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 08 Aug 2022 19:10:32 -0400

gnome-clocks (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to GTK4, libadwaita, gnome-desktop4, & libgweather4
  * debian/control.in: Bump minimum meson to 0.59.0
  * Drop patch: applied in new release
  * Cherry-pick proposed patch to fix inability to add some world clocks
  * Add patch to work around meson issue (Debian 1008189)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:42:02 -0400

gnome-clocks (41.0-2) unstable; urgency=medium

  * Add patch to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90 for that change

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 09:50:07 -0500

gnome-clocks (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib to 2.68
  * debian/copyright: Update

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Oct 2021 20:27:55 -0400

gnome-clocks (40.0-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 07:52:43 -0400

gnome-clocks (40.0-1) experimental; urgency=medium

  * New upstream release

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 19:02:59 +0200

gnome-clocks (40~beta-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 21:13:09 +0100

gnome-clocks (3.38.0-1) unstable; urgency=medium

  * New upstream release
  * control: Switch to libhandy-1, per meson.build
  * docs: NEWS.md is renamed to NEWS

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2020 18:51:25 +0100

gnome-clocks (3.36.2-1) unstable; urgency=medium

  * New upstream release (Closes: #961198)
  * Drop debian/patches/world-handle-null-datetime.patch, applied upstream
  * debian/control.in: Add appstream-util and desktop-file-utils to the BD

 -- Laurent Bigonville <bigon@debian.org>  Fri, 26 Jun 2020 10:48:43 +0200

gnome-clocks (3.36.0-2) unstable; urgency=medium

  * Fix crash due to null datetime, patch from upstream

 -- Laurent Bigonville <bigon@debian.org>  Fri, 08 May 2020 10:12:21 +0200

gnome-clocks (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - Adjust the build-dependencies
    - debian/docs: NEWS → NEWS.md
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 19:00:50 +0100

gnome-clocks (3.34.0-1) unstable; urgency=medium

  * New upstream release
    + Expose world clock locations to gnome-shell

 -- Iain Lane <laney@debian.org>  Mon, 09 Sep 2019 16:48:02 +0100

gnome-clocks (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 07:19:33 -0400

gnome-clocks (3.30.1-2) unstable; urgency=medium

  * Build-Depend on libxml2-utils for xmllint
  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 23 Dec 2018 10:50:10 -0500

gnome-clocks (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Nov 2018 13:26:33 -0500

gnome-clocks (3.30.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 01 Sep 2018 16:18:03 -0400

gnome-clocks (3.28.0-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Drop git patch included in new release
  * debian/rules: Drop explicit buildsystem=meson, autotools has been rewmoved

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 11:07:14 +1100

gnome-clocks (3.27.1-2) experimental; urgency=medium

  * Cherry-pick 0001-search-provider-Workaround-for-crashes-in-gweather.patch:
    Fix crash in GNOME Shell search provider (LP: #1749937)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 26 Feb 2018 23:01:17 -0500

gnome-clocks (3.27.1-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum libgweather-3-dev to 3.27.2

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 13 Feb 2018 11:25:37 -0500

gnome-clocks (3.26.1-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 02 Feb 2018 08:26:18 -0500

gnome-clocks (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 14 Dec 2017 16:58:27 -0500

gnome-clocks (3.26.1-1) unstable; urgency=medium

  * New upstream release (LP: #1723734)
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 08:34:18 -0400

gnome-clocks (3.26.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 11 Sep 2017 15:22:44 -0400

gnome-clocks (3.25.90-1) unstable; urgency=medium

  * New upstream release
  * Build with meson.
  * debian/control.in:
    - Bump Build-Dependencies per upstream to stable releases
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 30 Aug 2017 13:41:27 -0400

gnome-clocks (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2016 17:47:46 +0200

gnome-clocks (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 20:42:07 +0200

gnome-clocks (3.21.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop build dependency on intltool
  * Add debian/docs to install NEWS
  * Use dh compat 10 (with automatic dh_autoreconf) instead of autotools-dev
  * debian/rules:
    - Build with --as-needed and all hardening flags

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.
  * Use override_dh_clean target to delete the vala stamp files.

 -- Michael Biebl <biebl@debian.org>  Tue, 30 Aug 2016 18:16:04 +0200

gnome-clocks (3.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:45:51 +0200

gnome-clocks (3.20.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Track stable releases in debian/watch.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - replace geoclue-2.0 with libgeoclue-2-dev (>= 2.3.1)
    - bump glib to >= 2.44
    - bump gtk+ to >= 3.19.8
  * Bump build-dependency on valac to >= 0.32.0
    - we need valac-0.32-vapi for the GTK+ 3.20 API updates.

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 18:26:45 +0200

gnome-clocks (3.18.0-1) unstable; urgency=medium

  [ Pedro Beja ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 01 Oct 2015 14:33:26 +0200

gnome-clocks (3.16.2-1) unstable; urgency=medium

  * New upstream release.
  * Use autotools-dev to update config.*

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 18 Sep 2015 16:56:29 +0200

gnome-clocks (3.16.1-1) unstable; urgency=medium

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump intltool to >= 0.50.1
    - replace libcanberra with gsound

  [ Michael Biebl ]
  * Drop obsolete section about libgd/ from debian/copyright.

 -- Michael Biebl <biebl@debian.org>  Fri, 04 Sep 2015 18:29:31 +0200

gnome-clocks (3.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in:
    - Bump Standards-Version to 3.9.6 (no further changes)
    - Update the Homepage URL

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Oct 2014 22:50:31 +0200

gnome-clocks (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump libgweather-3-dev build-dependency to >= 3.13.91
    - according to configure.ac changes
  * Bump gtk+ build-dependency to 3.13.8 and valac >= 0.25.3
    - Usage of Gtk.StateFlags.CHECKED

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Sep 2014 16:31:57 +0200

gnome-clocks (3.12.0-2) unstable; urgency=medium

  * debian/control.in:
    + Bump libgtk-3-dev to 3.12, needed for GtkActionBar.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Apr 2014 14:07:08 +0200

gnome-clocks (3.12.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - Bump valac 0.23.3, add glib 2.39 and drop libnotify.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 26 Mar 2014 19:13:23 +0100

gnome-clocks (3.10.1-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Fix Vcs-* fields in debian/control*
  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - Bump libgweather-3-dev to >= 3.9.91
    - Add libgeocode-glib-dev (>= 0.99.4)
    - Bump valac to >= 0.21.2
    - Bump libgtk-3-dev to >= 3.9.11
    - Add geoclue (>= 2.0)
  * Add gnome-clocks dependency on geoclue (>= 2.0)
  * Add blurb in debian/rules that forces rebuild from vala source
  * Bump build-dependency on libgweather-3-dev to >= 3.10.1-1~
    - vala bindings got enabled in that package revision

  [ Jackson Doak ]
  * Add --disable-silent-rules to configure call, gives verbose buildlogs
  * Update homepage. Closes: #728997

  [ Laurent Bigonville ]
  * debian/control.in: {Build-}depends against geoclue-2.0 instead of geoclue
    (>= 2.0)

  [ Emilio Pozuelo Monfort ]
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 22 Feb 2014 19:16:43 +0100

gnome-clocks (3.8.2-2) unstable; urgency=low

  [ Jeremy Bicha ]
  * Update homepage

  [ Andreas Henriksson ]
  * Upload to unstable

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Oct 2013 01:23:37 +0200

gnome-clocks (3.8.2-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop alternate build-depends on valac-0.18 since it's no longer in
      Debian and unnecessary

  [ Andreas Henriksson ]
  * Add missing Licence field to debian/copyright as required
    by the spec for machine readable copyright file. Thanks lintian.
  * Drop "Added runtime dependency to libgweather-common"
    - libgweather-3-3 has been fixed to depend on newer libgweather-common

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Jun 2013 23:06:05 +0200

gnome-clocks (3.8.0-1) experimental; urgency=low

  [ Jean Schurger ]
  * New upstream version.
  * Added runtime dependency to libgweather-common (the schema file is needed).
  * Updated Standards-Version to 3.9.4.
  * Updated Vcs-Svn.

  [ Sjoerd Simons ]
  * debian/copyright: Add libgd copyright

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Apr 2013 10:19:52 +0200

gnome-clocks (3.7.92-1) experimental; urgency=low

  [ Jeremy Bicha ]
  * Initial release

  [ Sjoerd Simons ]
  * New upstream release (Update build-depends)
  * debian/control: Use standard gnome-pkg-tools rules

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 24 Mar 2013 16:17:14 +0100
